## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
# * missing dev-dependencies: rstest ^0.18, rstest-reuse ^0.6
%bcond_with check

%global crate zoxide

Name:           rust-zoxide
Version:        0.9.2
Release:        %autorelease
Summary:        Smarter cd command for your terminal

License:        MIT
URL:            https://crates.io/crates/zoxide
Source:         %{crates_source}
# Automatically generated patch to strip foreign dependencies
Patch:          zoxide-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * drop incompatible compiler flag settings (strip = true, debug = 0)
Patch:          zoxide-fix-metadata.diff

BuildRequires:  rust-packaging >= 23

%global _description %{expand:
A smarter cd command for your terminal.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# CC0-1.0 OR MIT-0 OR Apache-2.0
# MIT
# MIT OR Apache-2.0
# MPL-2.0
License:        MIT AND MPL-2.0 AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (CC0-1.0 OR MIT-0 OR Apache-2.0)
# LICENSE.dependencies contains a full license breakdown

# recommend fuzzy finder for interactive completions
Recommends:     fzf

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc CHANGELOG.md
%doc README.md
%{_bindir}/zoxide
%{_mandir}/man1/%{crate}*.1*
%{bash_completions_dir}/%{crate}.bash
%{fish_completions_dir}/%{crate}.fish
%{zsh_completions_dir}/_%{crate}

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
%if %{with check}
echo '/usr/bin/bash'
echo '/usr/bin/fish'
echo '/usr/bin/shellcheck'
echo '/usr/bin/xonsh'
echo '/usr/bin/zsh'
%endif

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install
# install manpages
install -Dpm 644 man/man1/%{crate}*.1 -t %{buildroot}%{_mandir}/man1/
# install shell completions
install -Dpm 644 contrib/completions/%{crate}.bash -t %{buildroot}/%{bash_completions_dir}/
install -Dpm 644 contrib/completions/%{crate}.fish -t %{buildroot}/%{fish_completions_dir}/
install -Dpm 644 contrib/completions/_%{crate} -t %{buildroot}/%{zsh_completions_dir}/

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Sep 13 2023 Fabio Valentini <decathorpe@gmail.com> - 0.9.2-1
- Update to version 0.9.2; Fixes RHBZ#2196024

* Tue Aug 08 2023 Fabio Valentini <decathorpe@gmail.com> - 0.9.0-3
- Bump askama dependency from 0.11 to 0.12

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Apr 19 2023 Fabio Valentini <decathorpe@gmail.com> - 0.9.0-1
- Update to version 0.9.0; Fixes RHBZ#2123687

* Thu Feb 16 2023 Maxwell G <gotmax@e.email> - 0.8.3-4
- Add missing shell completions and manpages

* Sun Feb 05 2023 Fabio Valentini <decathorpe@gmail.com> - 0.8.3-3
- Rebuild for fixed frame pointer compiler flags in Rust RPM macros

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Nov 01 2022 Igor Raits <igor.raits@gmail.com> - 0.8.3-1
- Update to 0.8.3

* Wed Jul 27 2022 Fabio Valentini <decathorpe@gmail.com> - 0.8.2-1
- Update to version 0.8.2; Fixes RHBZ#2078046

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Feb 15 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.8.0-3
- Rebuild with package notes

* Sat Jan 29 2022 Fabio Valentini <decathorpe@gmail.com> - 0.8.0-2
- Finish port from clap_generate to clap_complete

* Sat Jan 29 2022 Igor Raits <igor.raits@gmail.com> - 0.8.0-1
- Update to 0.8.0 (Closes: rhbz#2035586)

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Nov 17 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.7.9-1
- Update to 0.7.9 Close: rhbz#1947669

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Dec 29 17:14:03 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.5.0-1
- Update to 0.5.0 (Fixes: RHBZ#1893357)

* Mon Dec 28 13:34:03 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.4.3-2
- Rebuild

* Wed Aug 26 2020 Josh Stone <jistone@redhat.com> - 0.4.3-1
- Update to 0.4.3

* Sun Aug 16 15:02:00 GMT 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.4.1-4
- Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sun Jun 07 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.4.1-2
- Recommends: fzf

* Mon May 25 07:37:22 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.4.1-1
- Update to 0.4.1

* Thu May 14 15:19:09 CEST 2020 Igor Raits <i.gnatenko.brain@gmail.com> - 0.4.0-1
- Initial package

